# Interface methods for submodule: OnePlusOneEvolutionaryOptimizerv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectToObjectOptimizerBaseTemplateProxy as _ObjectToObjectOptimizerBaseTemplateProxy


# Interface methods for class: OnePlusOneEvolutionaryOptimizerv4
class OnePlusOneEvolutionaryOptimizerv4Proxy(_ObjectToObjectOptimizerBaseTemplateProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaximumIteration(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumIteration(self) -> int:
		""""""
		...

	def SetGrowthFactor(self, _arg: float) -> None:
		""""""
		...

	def GetGrowthFactor(self) -> float:
		""""""
		...

	def SetShrinkFactor(self, _arg: float) -> None:
		""""""
		...

	def GetShrinkFactor(self) -> float:
		""""""
		...

	def SetInitialRadius(self, _arg: float) -> None:
		""""""
		...

	def GetInitialRadius(self) -> float:
		""""""
		...

	def SetEpsilon(self, _arg: float) -> None:
		""""""
		...

	def GetEpsilon(self) -> float:
		""""""
		...

	def GetFrobeniusNorm(self) -> float:
		""""""
		...

	def SetNormalVariateGenerator(self, generator) -> None:
		""""""
		...

	def Initialize(self, initialRadius: float, grow: float = ..., shrink: float = ...) -> None:
		""""""
		...

	def GetCurrentCost(self) -> float:
		""""""
		...

	def GetValue(self) -> float:
		""""""
		...

	def GetInitialized(self) -> bool:
		""""""
		...

	def StartOptimization(self, doOnlyInitialization: bool = False) -> None:
		""""""
		...

	def StopOptimization(self) -> None:
		""""""
		...

	def GetCatchGetValueException(self) -> bool:
		""""""
		...

	def SetCatchGetValueException(self, _arg: bool) -> None:
		""""""
		...

	def CatchGetValueExceptionOn(self) -> None:
		""""""
		...

	def CatchGetValueExceptionOff(self) -> None:
		""""""
		...

	def GetMetricWorstPossibleValue(self) -> float:
		""""""
		...

	def SetMetricWorstPossibleValue(self, _arg: float) -> None:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

